#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './configdialog.ui'
**
** Created: Wed Aug 6 14:56:34 2008
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "configdialog.h"

#include <qvariant.h>
#include <qcheckbox.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a ConfigDialog as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
ConfigDialog::ConfigDialog( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "ConfigDialog" );
    ConfigDialogLayout = new QVBoxLayout( this, 0, 6, "ConfigDialogLayout"); 

    titleShadow = new QCheckBox( this, "titleShadow" );
    ConfigDialogLayout->addWidget( titleShadow );

    menuClose = new QCheckBox( this, "menuClose" );
    ConfigDialogLayout->addWidget( menuClose );
    languageChange();
    resize( QSize(535, 88).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // tab order
}

/*
 *  Destroys the object and frees any allocated resources
 */
ConfigDialog::~ConfigDialog()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void ConfigDialog::languageChange()
{
    setCaption( tr2i18n( "Config Dialog" ) );
    titleShadow->setText( tr2i18n( "Use shadowed &text" ) );
    QWhatsThis::add( titleShadow, tr2i18n( "Check this option if you want the titlebar text to have a 3D look with a shadow behind it." ) );
    menuClose->setText( tr2i18n( "Close windows by double clicking the menu button" ) );
    QWhatsThis::add( menuClose, tr2i18n( "Check this option if you want windows to be closed when you double click the menu button, similar to Microsoft Windows." ) );
}

#include "configdialog.moc"
